init.amoeba

## Class AMOEBAFactory

- java.lang.Object
- - init.amoeba.AMOEBAFactory

    public class AMOEBAFactory
    extends java.lang.Object

A factory for creating AMOEBA objects.

### Constructor Summary

Constructors
Constructor and Description
`AMOEBAFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static AMOEBA` `createAMOEBA()` Creates a new AMOEBA object.
`static AMOEBA` `createAMOEBA(boolean viewer, java.lang.String path)` Creates a new AMOEBA object.
`static AMOEBA` `createAMOEBA(boolean viewer, java.lang.String pathToSourceXML, java.lang.String pathToAgentsXML)` Creates a new AMOEBA object.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AMOEBAFactory

    public AMOEBAFactory()

### Method Detail

#### createAMOEBA

    public static AMOEBA createAMOEBA()

Creates a new AMOEBA object.

Returns:
  the amoeba

#### createAMOEBA

    public static AMOEBA createAMOEBA(boolean viewer,
                                      java.lang.String pathToSourceXML,
                                      java.lang.String pathToAgentsXML)

Creates a new AMOEBA object.

Parameters:
  `viewer` - the viewer
  `pathToSourceXML` - the path to source XML
  `pathToAgentsXML` - the path to agents XML
Returns:
  the amoeba

#### createAMOEBA

    public static AMOEBA createAMOEBA(boolean viewer,
                                      java.lang.String path)

Creates a new AMOEBA object.

Parameters:
  `viewer` - the viewer
  `path` - the path
Returns:
  the amoeba